Debian Bug report logs - #704283
Hurd: fix calculation of elapsed time

version graph

Package: time; Maintainer for time is Bob Proulx <bob@proulx.com>; Source for time is src:time.

Reported by: Pino Toscano <pino@debian.org>

Date: Sun, 31 Mar 2013 07:45:02 UTC

Severity: normal

Tags: patch

Found in version time/1.7-24

Fixed in version time/1.7-25

Done: Bob Proulx <bob@proulx.com>

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Bob Proulx <bob@proulx.com>:
Bug#704283; Package time. (Sun, 31 Mar 2013 07:45:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Pino Toscano <pino@debian.org>:
New Bug report received and forwarded. Copy sent to Bob Proulx <bob@proulx.com>. (Sun, 31 Mar 2013 07:45:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Pino Toscano <pino@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Hurd: fix calculation of elapsed time
Date: Sun, 31 Mar 2013 09:42:47 +0200
[Message part 1 (text/plain, inline)]
Package: time
Version: 1.7-24
Severity: normal
Tags: patch
User: debian-hurd@lists.debian.org
Usertags: hurd

Hi,

On Hurd, due to the fact that configure detects a wait3 that does not
fill in rusage, the non-wait3 code path in resuse.c is used.
One of the first things in !HAVE_WAIT3 code is getting or defining a
HZ define; neither sys/times.h nor sys/param.h provide HZ,
CLOCKS_PER_SEC, or CLK_TCK, leading to HZ being defined as 60, which is
not correct. On the other hand, including time.h is enough to provide
CLOCKS_PER_SEC, which would then be used for HZ.

Attached patch to make configure look for time.h, and use it if
available.
(The "wait3 does not fill in rusage" is another issue though, although
fixing a fallback code path in time should not harm.)

Thanks,
-- 
Pino
[time-include-time_h.patch (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#704283; Package time. (Mon, 01 Apr 2013 16:42:04 GMT) Full text and rfc822 format available.

Message #8 received at 704283@bugs.debian.org (full text, mbox):

From: Bob Proulx <bob@proulx.com>
To: Pino Toscano <pino@debian.org>, 704283@bugs.debian.org
Subject: Re: Bug#704283: Hurd: fix calculation of elapsed time
Date: Mon, 1 Apr 2013 10:38:53 -0600
[Message part 1 (text/plain, inline)]
Pino Toscano wrote:
> On Hurd, due to the fact that configure detects a wait3 that does not
> fill in rusage, the non-wait3 code path in resuse.c is used.
> One of the first things in !HAVE_WAIT3 code is getting or defining a
> HZ define; neither sys/times.h nor sys/param.h provide HZ,
> CLOCKS_PER_SEC, or CLK_TCK, leading to HZ being defined as 60, which is
> not correct. On the other hand, including time.h is enough to provide
> CLOCKS_PER_SEC, which would then be used for HZ.

Thank you for the detailed report.

> Attached patch to make configure look for time.h, and use it if
> available.
> (The "wait3 does not fill in rusage" is another issue though, although
> fixing a fallback code path in time should not harm.)

I have been looking at making a new package upload which due to the
freeze would be made into experimental.  I will address this in the
next package upload.  Then after release of Wheezy there will be a new
upload to Sid.

There wouldn't happen to be a Debian Hurd machine available for
testing by a non-DD such as myself?  Perhaps a server of yours?  It
would help facilitate these types of things if I had access to one
hands on.  Or perhaps a VM image that I could run on my system?

Bob
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Bob Proulx <bob@proulx.com>:
Bug#704283; Package time. (Mon, 01 Apr 2013 17:24:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Pino Toscano <pino@debian.org>:
Extra info received and forwarded to list. Copy sent to Bob Proulx <bob@proulx.com>. (Mon, 01 Apr 2013 17:24:04 GMT) Full text and rfc822 format available.

Message #13 received at 704283@bugs.debian.org (full text, mbox):

From: Pino Toscano <pino@debian.org>
To: Bob Proulx <bob@proulx.com>
Cc: 704283@bugs.debian.org
Subject: Re: Bug#704283: Hurd: fix calculation of elapsed time
Date: Mon, 1 Apr 2013 19:20:15 +0200
[Message part 1 (text/plain, inline)]
Alle lunedì 1 aprile 2013, Bob Proulx ha scritto:
> I have been looking at making a new package upload which due to the
> freeze would be made into experimental.  I will address this in the
> next package upload.  Then after release of Wheezy there will be a
> new upload to Sid.

Sounds good.
I know that Debian is frozen so this should wait before getting into 
unstable, so I still filed this patch to avoid forgetting to send it 
later.

> There wouldn't happen to be a Debian Hurd machine available for
> testing by a non-DD such as myself?  Perhaps a server of yours?  It
> would help facilitate these types of things if I had access to one
> hands on.  Or perhaps a VM image that I could run on my system?

We have two porterboxes, exodar and strauss, but (as Hurd is not a 
release architecture) the usual DSA access for non-DDs does not apply 
for them). On the other hand, we can grant access on request, so just 
email admin@exodar.debian.net and we'll give you access to exodar.

-- 
Pino Toscano
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Bob Proulx <bob@proulx.com>:
Bug#704283; Package time. (Mon, 01 Apr 2013 19:33:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Carlos Alberto Lopez Perez <clopez@igalia.com>:
Extra info received and forwarded to list. Copy sent to Bob Proulx <bob@proulx.com>. (Mon, 01 Apr 2013 19:33:11 GMT) Full text and rfc822 format available.

Message #18 received at 704283@bugs.debian.org (full text, mbox):

From: Carlos Alberto Lopez Perez <clopez@igalia.com>
To: 704283@bugs.debian.org
Subject: re: Hurd: fix calculation of elapsed time
Date: Mon, 01 Apr 2013 21:28:54 +0200
[Message part 1 (text/plain, inline)]
Just only a comment to say that I tested Pino's patch on Debian/Hurd
(I just dropped it on debian/patches and rebuilt the package) and it
works like a charm.

Before this patch time was reporting weird things on Hurd:

# /usr/bin/time sleep 1
0.00user 0.00system 4:37:46elapsed 0%CPU (0avgtext+0avgdata 0maxresident)k
0inputs+0outputs (0major+0minor)pagefaults 0swaps

After this patch time works as expected:

# /usr/bin/time sleep 1
0.00user 0.01system 0:01.01elapsed 0%CPU (0avgtext+0avgdata 0maxresident)k
0inputs+0outputs (0major+352minor)pagefaults 0swaps


# /usr/bin/time openssl speed ecdhp521
[...]
10.02user 0.00system 0:10.21elapsed 98%CPU (0avgtext+0avgdata 0maxresident)k
0inputs+0outputs (108major+614minor)pagefaults 0swaps


Regards!

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Bob Proulx <bob@proulx.com>:
Bug#704283; Package time. (Fri, 21 Feb 2014 08:42:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petter Reinholdtsen <pere@hungry.com>:
Extra info received and forwarded to list. Copy sent to Bob Proulx <bob@proulx.com>. (Fri, 21 Feb 2014 08:42:04 GMT) Full text and rfc822 format available.

Message #23 received at 704283@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@hungry.com>
To: Bob Proulx <bob@proulx.com>, Pino Toscano <pino@debian.org>, 704283@bugs.debian.org
Subject: Re: Hurd: fix calculation of elapsed time
Date: Fri, 21 Feb 2014 09:39:55 +0100
Hi.  Any change to have time fixed on hurd in Jessie?

-- 
Happy hacking
Petter Reinholdtsen



Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#704283; Package time. (Mon, 24 Feb 2014 05:09:11 GMT) Full text and rfc822 format available.

Message #26 received at 704283@bugs.debian.org (full text, mbox):

From: Bob Proulx <bob@proulx.com>
To: Petter Reinholdtsen <pere@hungry.com>, 704283@bugs.debian.org
Cc: Pino Toscano <pino@debian.org>
Subject: Re: Bug#704283: Hurd: fix calculation of elapsed time
Date: Sun, 23 Feb 2014 22:07:58 -0700
[Message part 1 (text/plain, inline)]
Petter Reinholdtsen wrote:
> Hi.  Any change to have time fixed on hurd in Jessie?

I have prepared a new package a couple of weeks ago just before
leaving on a trip.  I didn't want to try to get a sponsor for it while
I was gone.  I am back now and am about to start looking for someone
to sponsor the package.

The current package with all of the latest fixes is located here and
signed with my key if anyone would like to look at it and give it a
try.

  http://www.proulx.com/~bob/debian/time-stuff/time_1.7-25/

I will be looking for someone to sponsor it too if anyone is
interested in doing so.

Bob
[signature.asc (application/pgp-signature, inline)]

Reply sent to Bob Proulx <bob@proulx.com>:
You have taken responsibility. (Fri, 28 Mar 2014 09:24:09 GMT) Full text and rfc822 format available.

Notification sent to Pino Toscano <pino@debian.org>:
Bug acknowledged by developer. (Fri, 28 Mar 2014 09:24:09 GMT) Full text and rfc822 format available.

Message #31 received at 704283-close@bugs.debian.org (full text, mbox):

From: Bob Proulx <bob@proulx.com>
To: 704283-close@bugs.debian.org
Subject: Bug#704283: fixed in time 1.7-25
Date: Fri, 28 Mar 2014 09:21:38 +0000
Source: time
Source-Version: 1.7-25

We believe that the bug you reported is fixed in the latest version of
time, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 704283@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Bob Proulx <bob@proulx.com> (supplier of updated time package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Sun, 09 Feb 2014 16:46:39 -0700
Source: time
Binary: time
Architecture: source amd64
Version: 1.7-25
Distribution: unstable
Urgency: medium
Maintainer: Bob Proulx <bob@proulx.com>
Changed-By: Bob Proulx <bob@proulx.com>
Description: 
 time       - GNU time program for measuring CPU resource usage
Closes: 511456 704283
Changes: 
 time (1.7-25) unstable; urgency=medium
 .
   * Patch for HZ and time.h inclusion.  Good in general and needed for
     Hurd.  Thanks Pino Toscano.  (Closes: #704283)
   * Improve -p,--portability documentation.  Thanks Jonathan Nieder.
     (Closes: #511456)
   * Remove build dependency on texi2html.  Thanks lintian.
   * Rebuild will acquire latest dpkg-buildflags settings.
Checksums-Sha1: 
 f7a2a03f8bc23b197fdc610c5b0ede9f46eb3698 1938 time_1.7-25.dsc
 5d7de0a36160c9ab65d33242aca2023600c332f9 16604 time_1.7-25.debian.tar.xz
 d667bdbd89bb919dd76b2e437e43672f8c049073 30858 time_1.7-25_amd64.deb
Checksums-Sha256: 
 a8b81098ec37e98d55b96e6e5d5b77400efe33a405e73d50f5eca0f3b46fc2af 1938 time_1.7-25.dsc
 fbcd213e516a9f82904e7f7bf7aa3999da6d5508a012b266cd165b6a9fef6c3b 16604 time_1.7-25.debian.tar.xz
 2f325eadbf9cb0aad399ed1e384f6109b1876b1bb8c74a480645aab2a2d692fa 30858 time_1.7-25_amd64.deb
Files: 
 f996ed0618ee004e206c03d33978c113 1938 utils standard time_1.7-25.dsc
 c8bbeadec3df02ccc9bdffc41c51fced 16604 utils standard time_1.7-25.debian.tar.xz
 48082c0fcceb04de5a01151de470952e 30858 utils standard time_1.7-25_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1

iQLvBAEBCgDZBQJTNTTFwBEaaHR0cDovL21hcnRpbi1rcmFmZnQubmV0L2dwZy9z
aWctcG9saWN5LzU1Yzk4ODJkOTk5YmJjYzQvMjAxMTAxMjQxMTI1P3NoYTUxMnN1
bT0xY2FkOTZmZDI3ZDMyMzNmNTNlMjI4NDk1MzM2NDgxMDdlNWVlOGQ1YmU2NTUy
NTFkNzRjOGYxYzVjM2JjNDJmMjMwNGZhNTE1MTUwZjdiZDRkZDA1ZTk4MTk5MjRm
MDQ5NTEzZWU5OTYyY2E3MTcwOWY4MWQ5NDUxNTg1MmJkOAAKCRBVyYgtmZu8xBb5
D/9GG3avRUCBpOyDJE5vtWJj8ZT7qHyGUevGkRLUt4BdoP9/ZGcnjTPRrrEz33Hz
LFS/BA+sr7yvkXi70lu20VP42rzAxe9IJKAqcD/i//6J5oTvkhRUkwPqCZBwK7mv
Kp1xXWHvavbIYiHpg+icrw3VE8+Yc7Y49QQ6s1fCf+96l2VqssS9ntKBJkXF5w9E
XeUNIEn7XPRIZDM5AKPU1F0BmwWVYATv9C/BFS0czMQ/vZkZdq04fwHvhtwZKJkh
UuDPVtzPbDJdwCM76nvaqp/mF+zvJ4yyq6hDeBplxufowg3RHpNyDvTZwmhPNl3e
NhZ7OViTrSmWkU3td21FbkOL30+0zsRg48oEKsBdvfGgjV6pVTyTQ8PGqQ2P8PFU
Njd/XJBVzJsWQXcj5JjbfcrXkR9d3vD5ZEIti3orIPZITMDRWOWO/Wq5zA71WEY8
bxUM3qoEPy6DUdUrGqqBQsIb1PMYc2KkwBg3Kc7NLErcNUuK0NrUIzv5cPpcRKuh
IcPeOiIOGeiyi9KwDBUnrIXUwPkGqS/6d6oZSmCZ6xYHt5R8n2QigFNxSh3xf4z6
EUBcp5JpUVeGV6yQUAsiXWcsUAwFSOllFwHU6F2ya9J5puBDvEV7rkIDT1ExNnP1
3lEHYLLUWXOLAksIpJ9G5LPYR0FRGQGAszDRuTy2nD4ArQ==
=4EbC
-----END PGP SIGNATURE-----




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 13:30:38 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.